package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(replacement_instrument):
 */
public class ReplacementInstrument extends BaseEntity {

	/**  */
	private Integer id;
	
	/**  */
	private Integer subjectId;
	
	/** 品牌 */
	private String brand;
	
	/** 型号 */
	private String specification;
	
	/** 配置 */
	private String param;
	
	/** 市场价 */
	private java.math.BigDecimal marketPrice;
	
	/** 优惠价 */
	private java.math.BigDecimal discountPrice;
	
	/** 折旧价 */
	private java.math.BigDecimal depreciationPrice;
	
	/** 销售价 */
	private java.math.BigDecimal salePrice;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setBrand(String brand){
		this.brand = brand;
	}
	
	public String getBrand(){
		return this.brand;
	}
			
	public void setSpecification(String specification){
		this.specification = specification;
	}
	
	public String getSpecification(){
		return this.specification;
	}
			
	public void setParam(String param){
		this.param = param;
	}
	
	public String getParam(){
		return this.param;
	}
			
	public void setMarketPrice(java.math.BigDecimal marketPrice){
		this.marketPrice = marketPrice;
	}
	
	public java.math.BigDecimal getMarketPrice(){
		return this.marketPrice;
	}
			
	public void setDiscountPrice(java.math.BigDecimal discountPrice){
		this.discountPrice = discountPrice;
	}
	
	public java.math.BigDecimal getDiscountPrice(){
		return this.discountPrice;
	}
			
	public void setDepreciationPrice(java.math.BigDecimal depreciationPrice){
		this.depreciationPrice = depreciationPrice;
	}
	
	public java.math.BigDecimal getDepreciationPrice(){
		return this.depreciationPrice;
	}
			
	public void setSalePrice(java.math.BigDecimal salePrice){
		this.salePrice = salePrice;
	}
	
	public java.math.BigDecimal getSalePrice(){
		return this.salePrice;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
